Bug 977174 - Integrate "About" topics into previous section/chapter/part text
Integrate "About" topics into previous section/chapter/part text
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR4
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 22:03 EDT by Misha H. Ali
Modified: 2013-11-07 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:49:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-06-23 22:03:30 EDT
Thanks to a new CCMS feature, the unattractive double headings can now be removed.

This bug scopes this changes for all CCMS books in the JDG suite for 6.2.
Comment 2 Misha H. Ali 2013-06-24 00:47:14 EDT
Changed in the Developer Guide:

--- replicate the following across all docs ---

* Chapter 1. JBoss Data Grid + 1.1. About JBoss Data Grid
* 1.3. JBoss Data Grid Usage Modes + 1.3.1. JBoss Data Grid Usage Modes

--- end replicate ----

* Chapter 2. The Cache API + 2.1. About the Cache API
* 2.3. Per-Invocation Flags + 2.3.1. About Per-Invocation Flags
* 2.4. The AdvancedCache Interface + 2.4.1. About the AdvancedCache Interface
* 2.4.4. Custom Interceptors + 2.4.4.1. About Custom Interceptors
* Chapter 3. The Batching API + 3.1. About the Batching API
* Chapter 4. The Grouping API _ 4.1. About the Grouping API
* Chapter 5. The CacheStore and ConfigurationBuilder APIs + 5.1. About the CacheStore API
* 6.1. Using the Externalizable API + 6.1.1. The Externalizable API Usage
* 6.3. Internal Externalizer Implementation Access + 6.3.1. Internal Externalizer Implementation Access
* Chapter 7. The Notification/Listener API + 7.1. About the Listener API
* 7.4. Notifications + 7.4.1. About Listener Notifications
* 7.5. Notifying Futures + 7.5.1. About NotifyingFutures
* Chapter 8. The Asynchronous API + 8.1. About the Asynchronous API
* Chapter 9. The REST Interface + 9.1. About the REST Interface in JBoss Data Grid
* 9.6. Configure the REST Interface + 9.6.1. About JBoss Data Grid Connectors
* 9.7. Using the REST Interface + 9.7.1. REST Interface Operations
* 9.7.2. Adding Data + 9.7.2.1. Adding Data Using the REST Interface
* 9.7.3. Retrieving Data + 9.7.3.1. Retrieving Data Using the REST Interface
* 9.7.4. Removing Data + 9.7.4.1. Removing Data Using the REST Interface
* 9.7.5. REST Interface Operation Headers + 9.7.5.1. Headers
* Chapter 10. The Memcached Interface + 10.1. About the Memcached Protocol
* 10.3. Using the Memcached Interface + 10.3.1. Memcached Statistics
* 10.4. Configure the Memcached Interface + 10.4.1. About JBoss Data Grid Connectors
* Chapter 11. The Hot Rod Interface + 11.1. About Hot Rod + 11.3. About Hot Rod Servers in JBoss Data Grid
* 11.6.4. Topology Change Headers + 11.6.4.1. About Topology Change Headers
* 11.7. Hot Rod Operations + 11.7.1. Hot Rod Operations
* 11.7.15. Hot Rod Operation Values + 11.7.15.1. Opcode Request and Response Values
* 11.8. Examples + 11.8.1. Put Request Example
* 11.9. Configure the Hot Rod Interface + 11.9.1. About JBoss Data Grid Connectors
* Chapter 12. The RemoteCache Interface + 12.1. About the RemoteCache Interface 
* Chapter 13. Interoperability and Compatability Mode + 13.1. Interoperability Between Remote Protocols and Embedded JBoss Data Grid
* Chapter 14. Rolling Upgrades in JBoss Data Grid + 14.1. About Rolling Upgrades
* Chapter 15. The Infinispan CDI Module + 15.1. About Infinspan CDI
* 15.3. Using the Infinispan CDI Module + 15.3.1. Using the Infinispan CDI Module
* 15.3.2.3. Set the Injection's Target Cache + 15.3.2.3.1. Setting the Injection's Target Cache
* 15.3.3. Configure Cache Managers + 15.3.3.1. Configuring Cache Managers with CDI
* Chapter 16. MapReduce + 16.1. About MapReduce
* 16.2. The MapReduce API + 16.2.1. The MapReduce API
* 16.3. MapReduceTask Distributed Execution + 16.3.1. MapReduceTask Distributed Execution

Stopped for the day, more to come later.
Comment 3 Misha H. Ali 2013-06-24 19:49:53 EDT
(continued dev guide edits)

* Chapter 17. Distributed Execution + 17.1. About Distributed Execution
* Chapter 18. Marshalling + 18.1. About Marshalling + Marshalling Benefits
* Chapter 19. Transactions + 19.1. About Java Transaction API Transactions
* 20.6. Transaction Synchronization + 20.6.1. About Transaction Synchronizations
* Chapter 21. Deadlock Detection + 21.1. About Deadlock Detection
* Chapter 23. The Infinispan CLI + 23.1. About the Infinispan CLI

** end of dev guide edits **
Comment 4 Misha H. Ali 2013-06-24 21:46:34 EDT
> --- replicate the following across all docs ---
> 
> * Chapter 1. JBoss Data Grid + 1.1. About JBoss Data Grid
> * 1.3. JBoss Data Grid Usage Modes + 1.3.1. JBoss Data Grid Usage Modes
> 
> --- end replicate ----

Replicated to:

* Admin guide
* getting started guide
* infinispan query guide
Comment 5 Misha H. Ali 2013-06-25 00:38:51 EDT
** changes for getting started guide **

* added topic Prerequisites for JBoss Data Grid Installation
* 4.3. Install the Maven Repositories + 4.3.1. Maven Repository Installation Options
* 4.4. Configure the Maven Repositories + 4.4.1. Configure the Maven Repository
* 7.5. Use a Named Cache + 7.5.1. Using a Named Cache
* Chapter 9. Run a JBoss Data Grid as a Node without Endpoints + 9.1. About Endpoints
* Chapter 10. Monitor JBoss Data Grid Applications in JBoss Enterprise Application Platform + 10.1. About JBoss Data Grid Applications for JBoss Enterprise Application Platform
* Chapter 11. The Hello World Quickstart + 11.1. About the Hello World Quickstart
* Chapter 13. The Football Quickstart Endpoint Examples + 13.1. About Football Quickstart Endpoint Examples

** end changes for GSG **
Comment 6 Misha H. Ali 2013-06-25 02:34:07 EDT
** changes for the admin guide **

* Chapter 3. Cache Managers + 3.1. About Cache Managers
* Chapter 4. Set Up Eviction + 4.1. About Eviction
* 4.4. Eviction Strategies + 4.4.1. About Eviction Strategies
* 4.6. Eviction and Passivation + 4.6.1. About Eviction and Passivation
* Chapter 5. Set Up Expiration + 5.1. About Expiration
* 5.6. Mortal and Immortal Data + 5.6.1. About Data Mortality + 5.6.2. Default Data Mortality + 5.6.3. Configure Data Mortality
* 5.7. Troubleshooting + 5.7.1. Expiration Troubleshooting
* Chapter 6. Set Up Logging + 6.1. About Logging
* 6.2. Supported Application Logging Frameworks + 6.2.1. Supported Application Logging Frameworks
* 6.3. Configure Logging + 6.3.1. About Boot Logging
* Chapter 7. Cache Modes + 7.1. About Cache Modes
* 7.3. About Local Mode + 7.3.1. Local Mode Operations
* 7.4. About Clustered Modes + 7.4.1. Clustered Mode Operations

more tomorrow
Comment 7 Misha H. Ali 2013-06-26 00:45:48 EDT
** admin guide changes continued **

* 7.5. State Transfer + 7.5.1. About State Transfer
* Chapter 8. Set Up Distribution Mode + 8.1. About Distribution Mode
* 8.7. Synchronous and Asynchronous Distribution + 8.7.1. About Synchronous and Asynchronous Distribution
* 8.8. GET and PUT Usage in Distribution Mode + 8.8.1. About GET and PUT Operations in Distribution Mode
* Chapter 9. Set Up Replication Mode + 9.1. About Replication Mode + 9.3. Return Values in Replication Mode
* 9.6. Synchronous and Asynchronous Replication + 9.6.1. Synchronous and Asynchronous Replication
* 9.7. The Replication Queue + 9.7.1. Replication Queue + 9.5.2. Replication Queue Operations
* Chapter 10. Set Up Invalidation Mode + 10.1. About Invalidation Mode + 10.2. Using Invalidation Mode
* 10.6. The L1 Cache Invalidation + 10.6.1. The L1 Cache and Invalidation
* Chapter 11. Locking + 11.1. About Locking
* Chapter 12. Set Up Lock Striping + 12.1. About Lock Striping
* Chapter 13. Set Up Isolation Levels + 13.1. About Isolation Levels
* Chapter 14. Cache Stores + 14.1. About Cache Stores
* 14.2. File Cache Stores + 14.2.1. About File System Based Cache Stores
* 14.3. Remote Cache Stores + 14.3.1. About Remote Cache Stores
* 14.4. Custom Cache Stores + 14.4.1. About Custom Cache Stores
* Chapter 15. Datasource Management + 15.1. Introduction + 15.1.1. About JDBC
* Chapter 16. JDBC Based Cache Stores + 16.1. About JDBC Based Cache Stores
* 16.2. JdbcBinaryCacheStores + 16.2.1. About JdbcBinaryCacheStore
* 16.3. JdbcStringBasedCacheStores + 16.3.1. About JdbcStringBasedCacheStore
* 16.4. JdbcMixedCacheStore + 16.4.1. About JdbcMixedCacheStore
* Chapter 17. Cache Loaders + 17.1. About Cache Loaders
* 17.4. Shared Cache Loaders + 17.4.1. About Shared Cache Loaders
* 17.5. Connection Factories + 17.5.1. About Connection Factories
* Chapter 18. Activation and Passivation Modes + 18.1. About Activation and Passivation
* 18.4. Eviction and Passivation + 18.4.1. About Eviction and Passivation
* Chapter 19. Cache Writing Modes + 19.1. Write-Through and Write-Behind Caching
* 19.3. Write-Behind Caching + 19.3.1. About Write-Behind Caching
* Chapter 20. Set Up Java Management Extensions (JMX) + 20.1. About Java Management Extensions (JMX)
* 20.8. MBeans + 20.8.1. About MBeans
* Chapter 21. Set Up JBoss Operations Network (JON) + 21.1. About JBoss Operations Network (JON)
* 21.4. JBoss Operations Network Agent + 21.4.1. About the JBoss Operations Network Agent
* 21.5. JBoss Operations Network for Remote Client-Server Mode + 21.5.1. JBoss Operations Network in Remote Client-Server Mode
* 21.6. JBoss Operations Network for Library Mode + 21.6.1. JBoss Operations Network in Library Mode
* Chapter 22. Set Up the L1 Cache + 22.1. About the L1 Cache
* 22.2. L1 Cache Entries + 22.2.1. L1 Cache Entries
* Chapter 23. Set Up Transactions + 23.1. About Transactions
* 23.4. Transaction Recovery + 23.4.1. About Transaction Recovery
* Chapter 24. Set Up JGroups Interfaces + 24.1. About JGroups Interfaces
* 24.3. About Binding Sockets + 24.3.1. About Group and Individual Socket Binding
* 24.4. JGroups for Clustered Modes + 24.4.1. Configure JGroups for Clustered Modes
* 24.4.2. Pre-Configured JGroups Files + 24.4.2.1. Using a Pre-Configured JGroups File
* 24.5. Test Multicast Using JGroups + 24.5.1. Testing With Different JBoss Data Grid Versions
* Chapter 25. High Availability Using Server Hinting + 25.1. About Server Hinting
* 25.5. ConsistentHashFactory + 25.5.1. TopologyAwareConsistentHashFactory and TopologyAwareSyncConsistentHashFactory
* Chapter 26. Set Up Cross-Datacenter Replication + 26.1. About Cross-Datacenter Replication
* 26.4. Taking a Site Offline + 26.4.1. About Taking Sites Offline

** end of admin guide **
Comment 9 Misha H. Ali 2013-07-04 01:07:04 EDT
Applied this bug to Tech Preview as well, as part of port to CCMS.
Comment 10 Misha H. Ali 2013-07-31 00:41:00 EDT
Confirmed all relevant topics are merged into sections or chapters (or parts, in the case of the developer guide).
Comment 11 Misha H. Ali 2013-11-07 17:49:49 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.